using VT.FW.DB;
using Mall.Common.Enum.User;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// 微店表实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_SmallShops_Info
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 用户id
        /// </summary>        
        public int? UserId
        {
            get;
            set;
        }
        /// <summary>
        /// 微店名称
        /// </summary>        
        public string Name
        {
            get;
            set;
        }
        /// <summary>
        /// 微店logo
        /// </summary>
        public string Logo { get; set; }
        /// <summary>
        /// 总计佣金
        /// </summary>        
        public decimal? TotalCommission
        {
            get;
            set;
        }
        /// <summary>
        /// 可提现佣金
        /// </summary>        
        public decimal? Commission
        {
            get;
            set;
        }
        /// <summary>
        /// 微店等级id
        /// </summary>        
        public int? GradeId
        {
            get;
            set;
        }
        /// <summary>
        /// 上调价格
        /// </summary>
        public decimal? UpPrice { get; set; }
        /// <summary>
        /// 类型  1百分比  2固定金额
        /// </summary>
        public int? PriceType { get; set; }
        /// <summary>
        /// 公告
        /// </summary>
        public string Notice { get; set; }

        /// <summary>
        /// 审核状态  1审核中  2通过  3拒绝
        /// </summary>        
        public DistributorAuditStatusEnum? AuditStatus
        {
            get;
            set;
        }
        /// <summary>
        /// 审核时间
        /// </summary>        
        public DateTime? AuditDate
        {
            get;
            set;
        }
        /// <summary>
        /// 备注
        /// </summary>        
        public string Remark
        {
            get;
            set;
        }
        /// <summary>
        /// 删除状态
        /// </summary>        
        public int? Status
        {
            get;
            set;
        }
        /// <summary>
        /// 商户号
        /// </summary>        
        public int TenantId
        {
            get;
            set;
        }
        /// <summary>
        /// 小程序id
        /// </summary>        
        public int MallBaseId
        {
            get;
            set;
        }
        /// <summary>
        /// CreateDate
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }
        /// <summary>
        /// UpdateDate
        /// </summary>        
        public DateTime? UpdateDate
        {
            get;
            set;
        }
    }
}
